changeset 2591:6c15b82e7e69

Avoid failing when run without args
author Chris Cannam
date Mon, 10 Aug 2020 18:28:55 +0100
parents 4448639b9bb1
children 617fe9b8c923
files deploy/osx/sign.sh
diffstat 1 files changed, 3 insertions(+), 1 deletions(-) [+]
line wrap: on
line diff
--- a/deploy/osx/sign.sh	Mon Aug 10 15:59:36 2020 +0100
+++ b/deploy/osx/sign.sh	Mon Aug 10 18:28:55 2020 +0100
@@ -1,6 +1,6 @@
 #!/bin/bash 
 
-set -eu
+set -e
 
 # Execute this from the top-level directory of the project (the one
 # that contains the .app bundle).  Supply the name of the .app bundle
@@ -13,6 +13,8 @@
 	exit 2
 fi
 
+set -u
+
 entitlements=deploy/osx/Entitlements.plist
 helper_entitlements=deploy/osx/HelperEntitlements.plist